%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-underscore-dot-string
Version:    3.2.2
Release:    1%{?dist}
Summary:    String manipulation extensions for the Underscore.js JavaScript library
# License text is contained within README.markdown.
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/epeli/underscore.string
Source0:    http://registry.npmjs.org/underscore.string/-/underscore.string-%{version}.tgz
BuildArch:  noarch
Provides:   nodejs-underscore.string = %{version}

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires:  npm(qunit)
BuildRequires:  phantomjs
%endif

%description
String manipulation extensions for Underscore.js javascript library.

Javascript lacks complete string manipulation operations. This is an 
attempt to fill that gap. Originally started as an Underscore.js 
extension but is a full standalone library nowadays.

Upgrading from 2.x to 3.x? Please read the changelog.

%prep
%setup -q -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/underscore.string
cp -pr *.js package.json dist/ helper/ \
    %{buildroot}%{nodejs_sitelib}/underscore.string

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
ln -sf %{nodejs_sitelib} .
%endif


%files
%doc CHANGELOG.markdown CONTRIBUTING.markdown README.markdown
%{nodejs_sitelib}/underscore.string


%changelog
* Tue Nov 24 2015 Troy Dawson <tdawson@redhat.com> - 3.2.2-1
- Update to 3.2.2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 09 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.3.1-3
- conditionalize minification; disable on EPEL due to missing deps

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.3.1-1
- initial package
